%global srcname awsume

Name:           python-%{srcname}
Version:        4.4.1
Release:        1%{?dist}
Summary:        CLI that makes using AWS IAM credentials easy

# https://github.com/trek10inc/awsume/pull/121
License:        MIT
URL:            https://github.com/trek10inc/awsume
Source:         %{pypi_source}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildArch:      noarch

%description
%{summary}.

%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
%{summary}.

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install
rm -v %{buildroot}%{_bindir}/awsume.{bat,ps1}

%files -n python3-%{srcname}
%doc README.md
%{_bindir}/awsume
%{_bindir}/awsumepy
%{_bindir}/awsume-configure
%{_bindir}/awsume-autocomplete
%{_bindir}/autoawsume
%{python3_sitelib}/awsume-*.egg-info/
%{python3_sitelib}/awsume/
%{python3_sitelib}/awsume_autocomplete/

%changelog
* Thu Sep 17 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 4.4.1-1
- Initial package
